ru.bitel.bgbilling.kernel.event.events

## Class TimerEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.TimerEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TimerEvent
      extends QueueEvent

  Асинхронное событие - Таймер.
  Событие добавляется в очередь стандартной задачей планировщика "Генератор событий таймера".
  Таймеры могут различаться целочисленным флагом.
  Рекомендуется использовать глобальные скрипты вместо обработки данного события!
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TimerEvent()`
    `` | `TimerEvent(int cid, int flag)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFlag()` Возвращает флаг таймера, установленный в задаче.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerEvent

          protected TimerEvent()

    - #### TimerEvent

          public TimerEvent(int cid,
                            int flag)

      Конструктор события.
      Создается с кодом сервера.
      Parameters:
        `cid` - - id договора
        `flag` - - флаг задачи
      See Also:
        `User`

  - ### Method Detail

    - #### getFlag

          public int getFlag()

      Возвращает флаг таймера, установленный в задаче.
      Флаги позволяют различать несколько таймеров, обрабатывая только нужные.
      Returns:
        flag флаг таймера